View Issue Details

IDProjectCategoryView StatusLast Update
0006668CentOS-6ncursespublic2015-03-16 21:25
Reportergregory.0xf0 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.4 
Target VersionFixed in Version6.6 
Summary0006668: pkg-config missing tinfo dependency
DescriptionWhen statically linking ncurses, one would expect that "pkg-config --static --libs ncurses" would provide the appropriate lines for all of the necessary libraries. However, that returns "-lncurses", suggesting that libncurses.a is the only library that needs to be linked. However, libtinfo.a is also required. This can be most easily observed from the dynamic library's NEEDED entries:

$ objdump -x /usr/lib64/libncurses.so | grep NEEDED
  NEEDED libc.so.6
  NEEDED libdl.so.2
  NEEDED libtinfo.so.5
Steps To ReproduceInstall the packages: ncurses-devel ncurses-static
Run the following: pkg-config --static --libs ncurses
Get this output: -lncurses
Expected: -lncurses -ltinfo
Additional InformationI've attached a patch that fixes this issue by adding tinfo as a requirement. I think it's actually only required for static linking, so there might be a better way to do this, but this certainly works. Applies to /usr/lib64/pkgconfig/ncurses.pc .
TagsNo tags attached.

Activities

gregory.0xf0

gregory.0xf0

2013-09-14 02:14

reporter  

ncurses.pc-add-requires-tinfo.patch (262 bytes)
--- ncurses.pc.orig	2013-09-13 21:19:53.178706244 -0400
+++ ncurses.pc	2013-09-13 21:03:18.905604333 -0400
@@ -8,6 +8,6 @@
 Name: ncurses
 Description: ncurses 5.7 library
 Version: ${version}
-Requires: 
+Requires: tinfo
 Libs: -L${libdir} -lncurses 
 Cflags: 
gregory.0xf0

gregory.0xf0

2013-10-31 19:31

reporter   ~0018291

I don't know if anyone is actually watching this bug category, but for the record I have recently also followed up on this with Red Hat.
gregory.0xf0

gregory.0xf0

2014-01-02 22:52

reporter   ~0018756

Upstream bugzilla entry: https://bugzilla.redhat.com/show_bug.cgi?id=1025744
tigalch

tigalch

2014-07-09 17:25

manager   ~0020315

Thanks for the link to the upstream bugzilla. Once it gets fixed there, CentOS will inherit the fix.
gregory.0xf0

gregory.0xf0

2015-03-16 19:26

reporter   ~0022524

Marked as fixed upstream. RH advisory is RHBA-2015:0687-1, package version is ncurses-5.7-4.20090207.el6 .
tigalch

tigalch

2015-03-16 21:25

manager   ~0022525

Solved with the upcoming Fastrack update to ncurses.

Issue History

Date Modified Username Field Change
2013-09-14 02:14 gregory.0xf0 New Issue
2013-09-14 02:14 gregory.0xf0 File Added: ncurses.pc-add-requires-tinfo.patch
2013-10-31 19:31 gregory.0xf0 Note Added: 0018291
2014-01-02 22:52 gregory.0xf0 Note Added: 0018756
2014-07-09 17:25 tigalch Note Added: 0020315
2015-03-16 19:26 gregory.0xf0 Note Added: 0022524
2015-03-16 21:25 tigalch Note Added: 0022525
2015-03-16 21:25 tigalch Status new => resolved
2015-03-16 21:25 tigalch Fixed in Version => 6.6
2015-03-16 21:25 tigalch Resolution open => fixed